# List scheduled changes for omnichannel subscription item

> For the complete machine-readable documentation index, see [llms.txt](https://apidocs.chargebee.com/llms.txt).


[Eventually Consistent](/docs/api/read-consistency)

Returns scheduled changes for the specified `omnichannel_subscription_item`.

Scheduled changes are created when the store will apply a product or pause change later (typically at term end), for example:

-   **Apple App Store**: Scheduled **downgrade** within the same subscription group.
-   **Google Play Store**: Product changes using the **`DEFERRED`** replacement mode. Immediate changes (`CHARGE_PRORATED_PRICE`) do **not** create a scheduled-change resource.

Use this API when [`has_scheduled_changes`](/docs/api/omnichannel_subscription_items/omnichannel_subscription_item-object#has_scheduled_changes) is `true`. See also [`omnichannel_subscription_item_scheduled_change`](/docs/api/omnichannel_subscription_item_scheduled_changes) and [omnichannel events](/docs/api/omnichannel_events).

## Sample Request

#### cURL

```bash
curl  https://{site}.chargebee.com/api/v2/omnichannel_subscription_items/{omnichannel-subscription-item-id}/scheduled_changes \
     -u {site_api_key}:
```

#### .NET

```dotnet
using ChargeBee.Api;
using ChargeBee.Models;

ApiConfig.Configure("{site}","{site_api_key}");
ListResult result = OmnichannelSubscriptionItem.ListOmniSubItemScheduleChanges("{omnichannel-subscription-item-id}").Request();

foreach (var listItem in result.List){
  OmnichannelSubscriptionItemScheduledChange omnichannelSubscriptionItemScheduledChange = listItem.OmnichannelSubscriptionItemScheduledChange;
}
```

#### Go

```go
package main
import (
    "fmt"
    "github.com/chargebee/chargebee-go/v3"
    omnichannelsubscriptionitemAction "github.com/chargebee/chargebee-go/v3/actions/omnichannelsubscriptionitem"
)
func main() {
    chargebee.Configure("{site_api_key}","{site}");
    res,err := omnichannelsubscriptionitemAction.ListOmniSubItemScheduleChanges("{omnichannel-subscription-item-id}", nil).ListRequest()
    if err != nil {
        fmt.Println(err)
    } else {
        for idx := 0; idx < len(res.List); idx++ {
            OmnichannelSubscriptionItemScheduledChange := res.List[idx].OmnichannelSubscriptionItemScheduledChange
        }
    }
}
```

#### Go

```go
package main

import (
  "fmt"
  "github.com/chargebee/chargebee-go/v4"
)

func main() {
  config := &chargebee.ClientConfig{
    SiteName: "{site}",
    ApiKey: "{site_api_key}",
  }    
  client := chargebee.NewClient(config)
  req := &chargebee.OmnichannelSubscriptionItemListOmniSubItemScheduleChangesRequest{}
  res, err := client.OmnichannelSubscriptionItem.ListOmniSubItemScheduleChanges("{omnichannel-subscription-item-id}", req)
      if err != nil {
        fmt.Println(err)
    } else {
        for idx := 0; idx < len(res.List); idx++ {
            OmnichannelSubscriptionItemScheduledChange := res.List[idx].OmnichannelSubscriptionItemScheduledChange
        }
    }
}
```

#### Java

```java
import com.chargebee.*;
import com.chargebee.ListResult;
import com.chargebee.models.*;
import com.chargebee.models.enums.*;
import java.io.IOException;
import java.util.List;

public class Sample {

    public static void main(String args[]) throws IOException, Exception {
        Environment.configure("{site}", "{site_api_key}");
        ListResult result = OmnichannelSubscriptionItem.listOmniSubItemScheduleChanges("%7Bomnichannel-subscription-item-id%7D").request();

        for (ListResult.Entry entry : result) {
            OmnichannelSubscriptionItemScheduledChange omnichannelSubscriptionItemScheduledChange = entry.omnichannelSubscriptionItemScheduledChange();
        }
    }
}
```

#### Java

```java
import com.chargebee.v4.client.ChargebeeClient;
import com.chargebee.v4.models.omnichannelSubscriptionItem.params.OmnichannelSubscriptionItemListOmniSubscriptionItemScheduleChangesParams;
import com.chargebee.v4.models.omnichannelSubscriptionItem.responses.OmnichannelSubscriptionItemListOmniSubscriptionItemScheduleChangesResponse;
import com.chargebee.v4.models.omnichannelSubscriptionItemScheduledChange.OmnichannelSubscriptionItemScheduledChange;
import java.util.List;

public class OmnichannelSubscriptionItemListOmniSubscriptionItemScheduleChanges {

    public static void main(String[] args) {
        ChargebeeClient client = ChargebeeClient.builder()
            .apiKey("{site_api_key}")
            .siteName("{site}")
            .build();

        OmnichannelSubscriptionItemListOmniSubscriptionItemScheduleChangesResponse response = client.omnichannelSubscriptionItems().listOmniSubscriptionItemScheduleChanges("%7Bomnichannel-subscription-item-id%7D");
    }
}
```

#### Node.js

```node
import Chargebee from "chargebee";

const chargebee = new Chargebee({
    site: "{site}",
    apiKey: "{site_api_key}",
});

try {
    const result = await chargebee.omnichannelSubscriptionItem.listOmniSubItemScheduleChanges("{omnichannel-subscription-item-id}");
    result.list.forEach((entry) => {
        console.log(entry);
        const omnichannelSubscriptionItemScheduledChange = entry.omnichannel_subscription_item_scheduled_change;
    });
} catch (err) {
    console.log(err);
}
```

#### PHP

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use Chargebee\ChargebeeClient;

$chargebee = new ChargebeeClient(options: [
    "site" => "{site}",
    "apiKey" => "{site_api_key}",
]);
$result = $chargebee->omnichannelSubscriptionItem()->listOmniSubItemScheduleChanges("{omnichannel-subscription-item-id}");
foreach($result->list as $entry) {
    $omnichannelSubscriptionItemScheduledChange = $entry->omnichannel_subscription_item_scheduled_change;
}
```

#### Python

```python
from chargebee import Chargebee, Filters

cb_client = Chargebee(api_key="{site_api_key}", site="{site}")
entries = cb_client.OmnichannelSubscriptionItem.list_omni_sub_item_schedule_changes("{omnichannel-subscription-item-id}")
for entry in entries.list:
    omnichannel_subscription_item_scheduled_change = entry.omnichannel_subscription_item_scheduled_change
```

#### Ruby

```ruby
require 'chargebee'

ChargeBee.configure(:site => "{site}",
  :api_key => "{site_api_key}")

list = ChargeBee::OmnichannelSubscriptionItem.list_omni_sub_item_schedule_changes("{omnichannel-subscription-item-id}")

list.each do |entry|
  omnichannel_subscription_item_scheduled_change = entry.omnichannel_subscription_item_scheduled_change
end
```

## Sample Response

```json
{
  "omnichannel_subscription_item": {
    "id": "osi_16A4DbUTLvGh35",
    "item_id_at_source": "com.chargebee.demo.landmarks.premium.monthly",
    "status": "active",
    "auto_renew_status": "on",
    "current_term_start": 1730902131,
    "current_term_end": 1730902431,
    "object": "omnichannel_subscription_item"
  }
}
```

## URL Format

**GET** https://[site].chargebee.com/api/v2/omnichannel_subscription_items/{omnichannel-subscription-item-id}/scheduled_changes

## Input Parameters

- `limit` (optional, integer, default=10, min=1, max=100)
  The number of resources to be returned.

- `offset` (optional, string, max chars=1000)
  Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set `offset` to the value of `next_offset` obtained in the previous iteration of the API call.

## Returns

- `next_offset` (optional, string, max chars=1000)
  This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter `offset`.

- `omnichannel_subscription_item_scheduled_change` (Omnichannel subscription item scheduled change object)
  Resource object representing Omnichannel subscription item scheduled changes
